add docker packaging work
[scripts.git] / docker / packaging / D11unsafeio
1 #!/bin/bash
2
3 # make sure we use force-unsafe-io
4 installed="$(apt-cache policy dpkg | grep Installed | cut -d ' ' -f 4)"
5 if $(dpkg --compare-versions "$installed" ge "1.15.8.6") && [ -z "$(grep '^force-unsafe-io' /etc/dpkg/dpkg.cfg)" ]; then 
6     echo "Setting force-unsafe-io for dpkg"
7     echo "force-unsafe-io" >> /etc/dpkg/dpkg.cfg
8 fi